2003-02-07 00:45  jaq

	* src/Makefile.am:

	- Make sure the makefile distributes all the optional source
	  code.
	
2003-02-06 11:50  jaq

	* NEWS, configure.in, src/Makefile.am, tools/q2rel:

	- Ulrich pointed out that the last release didn't contain
	  the asm stuff, tracked it down to a bug in the
	  Makefile.am.  Fixed that, bumped the version number, added
	  news.
	- Updated release script to cope with version numbers with
	  more than one decimal point.
	
2003-01-31 07:27  jaq

	* bootstrap:

	- Actually call automake 1.6
	
2003-01-31 07:05  jaq

	* bootstrap, tools/q2rel:

	- Force use of automake 1.6 for make distcheck bug.
	- Set verbose mode on the release script.
	
2003-01-31 00:35  jaq

	* configure.in:

	- Note to self: bump version number in configure.in when
	  making a new release.
	
2003-01-31 00:23  jaq

	* NEWS:

	- Updated NEWS for the release.
	
2003-01-31 00:04  jaq

	* tools/q2rel:

	- Added my release script from 0.1 to the new tools
	  directory.
	
2003-01-31 00:00  jaq

	* bsd/README, irix/README, null/README, rhapsody/README,
	solaris/README, win32/README:

	- Added a bunch of readmes to the old OS source trees
	
2003-01-22 02:55  jaq

	* HACKING:

	- Changed the wording of the notice about the OS source
	  directories.
	
2003-01-22 02:49  jaq

	* src/: vid_menu.c, vid_so.c:

	- Added the new 17" Powerbook G4 resolution.
	
2003-01-11 16:35  jaq

	* THANKS:

	- The mystery bugfixes were courtesy of Martin Englund and
	  Elias Mårtensson from the Swedish branch of SUN.  They
	  ported Quake II to Solaris with XIL and OpenGL and Martin
	  released their code when id Software GPLd their code.
	
2003-01-11 16:18  jaq

	* src/: common.c, gl_local.h, main.c, menu.c, q_sh.c, q_shared.h,
	qgl.h, r_model.c, snd_dma.c:

	- More solaris patches from Vincent Cojot's first patches to
	  icculus.  (icculus patchset #65)
	- Also including some bugfixes by a mythical 'eliasm' from
	  the same patchset.
	
2003-01-09 23:06  jaq

	* src/: gl_glx.c, rw_sdl.c, rw_x11.c:

	- Applied joystick patchsets 60, 61, 62, 71, 80, and 122 from the
	  icculus.org cvs tree.
	  - linux joystick support
	  - freelook honouring
	  - X11 keyrepeat
	
2003-01-04 17:04  jaq

	* TODO:

	- Added url to volumetric lighting to the the TODO list
	
2003-01-01 13:35  jaq

	* .cvsignore:

	- Added spec file to cvsignore
	
2003-01-01 13:34  jaq

	* THANKS, configure.in:

	- Applied patch from Marc Leeman to specify the location of
	  autoconf helper scripts.
	
2002-12-24 12:47  jaq

	* quake2.spec.in:

	- Removed package name from summary field
	
2002-12-24 11:49  jaq

	* quake2.spec.in:

	- Note previous changes in the RPM changelog, too
	
2002-12-24 11:46  jaq

	* quake2.spec.in:

	- Rearranged some of the RPM spec fields
	- Updated summary and description
	
2002-12-24 11:26  jaq

	* THANKS, quake2.spec.in:

	- Applied Paul Jenner's patch to fix RPM install process.
	
2002-12-24 11:19  jaq

	* Makefile.am, configure.in, quake2.spec.in:

	- Added a RPM spec file from Paul Jenner.
	
2002-12-24 01:04  jaq

	* configure.in, src/Makefile.am, src/baseq2/Makefile.am,
	src/ctf/Makefile.am:

	- Added --disable-warn flag to configure for bodgy compilers
	  and OSes with bodgy headers.  (Closes: #64)
	
2002-12-24 00:50  jaq

	* src/rw_x11.c:

	- Don't need the extra comparision, the switch statement has
	  already done it.  (Closes: #23)
	
2002-12-23 19:15  jaq

	* src/main.c:

	- Fix incorrect function name in error message.
	
2002-12-23 19:15  jaq

	* src/: files.c, main.c:

	- Added PKGLIBDIR to game search path, so that the game.so
	  shared object is found.
	- Reverted the game loader in main.c to iterate through the
	  search path.
	
2002-12-23 11:00  jaq

	* src/: keys.c, rw_x11.c, sv_user.c:

	- X11 key repeat fix.
	- Added GPL blurb to sv_user.c
	
2002-12-09 00:03  jaq

	* src/: cl_view.c, keys.c, baseq2/g_cmds.c, ctf/g_cmds.c,
	ctf/g_save.c:

	- Applied a bunch of patches from icculus's tree, bringing
	  us up to icculus patchset #59.  Skipped over most of
	  patchsets #30 onwards, going from memory of applied
	  patches, so it's possible that not all of these patches
	  (the ones that are valid, anyway) got applied.
	- Applied the "Big Gun crash" fix to the same section of
	  code in the CTF mod.  (PatchSet #45)
	
2002-12-07 02:03  jaq

	* configure.in:

	- Got rid of a comma (and reworded the MSG_RESULT) to fix a
	  cosmetic breakage in configure.
	
2002-12-07 01:49  jaq

	* Makefile.am, bootstrap, configure.in, src/Makefile.am,
	src/main.c, src/qgl.c, src/vid_so.c:

	- Removed libltdl from the code.  Not only does this make
	  the code make more sense, it also means that the dynamic
	  loading of game and video refreshers (especially video
	  refreshers) is consistent -- which means that you can now
	  change video modes FROM WITHIN QUAKE2 as Carmack intended,
	  and quake2 no longer dies with an Xlib error on exit, so
	  your resolutions and gamma are restored!  (Closes: #34)
	
2002-12-01 16:57  jaq

	* src/qgl.h:

	- Removed a stray space that popped in.
	
2002-12-01 16:48  jaq

	* src/: gl_image.c, gl_rmain.c, gl_rsurf.c, qgl.h:

	- Confirmed rename of GL_TEXTURE0/1 because they conflict
	  with OpenGL 1.3 definitions.  Renamed GL_Texture0 to
	  QGL_TEXTURE0, for consistency.  (icculus patchset #15)
	
2002-12-01 16:04  jaq

	* src/files.c:

	- Confirm patch setting writedir for mods.  (Ludwig Nussel)
	  (icculus patchset #13,#14)
	
2002-12-01 15:30  jaq

	* solaris/rw_solaris.h:

	- Just noticed this header file was lying around
	  uncommitted.  Not used though, but might as well leave it
	  in there.
	
2002-12-01 15:24  jaq

	* src/cd_sdl.c:

	- Confirm SDL CD audio looping fix from Robert Bäuml.
	  (icculus patchset #12)
	
2002-12-01 15:17  jaq

	* src/snd_dma.c:

	- Disabled using memset on sound buffer since it may be
	  read-only.  In future, one may want to test for this case
	  and use memset if the buffer is writeable.
	  (icculus patchset #11)
	
2002-12-01 15:07  jaq

	* src/rw_sdl.c:

	- Confirmed icon support for SDL drivers. (icculus patchset #9)
	
2002-12-01 14:31  jaq

	* src/: gl_glx.c, rw_x11.c:

	- Confirming addition of xlib niceties: icon,
	  wm_delete_window handling, etc.  (icculus patchset #8)
	
2002-12-01 13:35  jaq

	* src/: gl_glx.c, rw_in_svgalib.c, rw_sdl.c, rw_x11.c:

	- Code reformatting
	- Confirming X11 keyhandling bug fix.  (icculus patchset #7)
	
2002-11-30 17:47  jaq

	* src/r_poly.c:

	- Reformatted R_DrawAlphaSurfaces, confirming bugfix.
	  (icculus patchset #6)
	
2002-11-30 17:14  jaq

	* src/gl_glx.c:

	- Reformatting.
	
2002-11-24 16:14  jaq

	* configure.in, docs/README.Solaris, solaris/README.Solaris,
	solaris/cd_sdl.c, solaris/cd_solaris.c, solaris/gl_glx.c,
	solaris/gl_glx.h, solaris/glob.c, solaris/glw_solaris.h,
	solaris/ndga.c, solaris/ndga.h, solaris/newt.c, solaris/newt.h,
	solaris/q2.xbm, solaris/q_shsolaris.c, solaris/qgl_solaris.c,
	solaris/qgl_solaris.h, solaris/rw_corona.c, solaris/rw_sdl.c,
	solaris/rw_x11.c, solaris/rw_xil.c, solaris/snd_sdl.c,
	solaris/snd_solaris.c, solaris/sndtest.c, solaris/sys_solaris.c,
	solaris/vid_menu.c, solaris/vid_so.c,
	solaris/pkg/iDquake2/copyright, solaris/pkg/iDquake2/depend,
	solaris/pkg/iDquake2/pkginfo,
	solaris/pkg/iDquake2/pkginfo.template,
	solaris/pkg/iDquake2/postinstall, solaris/pkg/iDquake2/postremove,
	solaris/pkg/iDquake2/preinstall, solaris/pkg/iDquake2/preremove,
	solaris/pkg/iDquake2/prototype,
	solaris/pkg/iDquake2/prototype.template,
	solaris/pkg/iDquake2/space, solaris/pkg/iDquake2d/copyright,
	solaris/pkg/iDquake2d/depend, solaris/pkg/iDquake2d/pkginfo,
	solaris/pkg/iDquake2d/pkginfo.template,
	solaris/pkg/iDquake2d/postinstall,
	solaris/pkg/iDquake2d/postremove, solaris/pkg/iDquake2d/preinstall,
	solaris/pkg/iDquake2d/preremove, solaris/pkg/iDquake2d/prototype,
	solaris/pkg/iDquake2d/prototype.template,
	solaris/pkg/iDquake2d/space, src/Makefile.am, src/cd_sdl.c,
	src/cd_solaris.c, src/cl_main.c, src/gl_glx.c, src/gl_local.h,
	src/gl_rmain.c, src/glw.h, src/main.c, src/ndga.c, src/ndga.h,
	src/net_udp.c, src/newt.c, src/newt.h, src/q_sh.c, src/q_shared.h,
	src/qgl.c, src/qgl.h, src/rw_corona.c, src/rw_sdl.c, src/rw_x11.c,
	src/rw_xil.c, src/snd_sdl.c, src/snd_solaris.c:

	- Applied patch from Vincent S. Cojot for solaris.  He's
	  taken his patch against icculus.org's quake2 tree, and
	  applied it to solaris/ and then migrated that stuff to our
	  tree in src/ so it gets built.
	
2002-11-05 23:38  jaq

	* src/snd.c:

	- Patch from Ulrich, because "FreeBSD 5.x doesn't have this
	  nasty bug."
	
2002-11-05 00:11  jaq

	* configure.in, src/glw.h, src/qgl.c:

	- Applied a patch from Ulrich Spoerlein that fixes build
	  problems on OpenBSD.
	
2002-11-04 23:48  jaq

	* src/snd.c:

	- Applied a patch from Ulrich Spoerlein to get sound working
	  on BSD systems, copied from the quakeforge tree.
	
2002-11-04 23:45  jaq

	* docs/README.joystick:

	- Whoa, how long has this been lying here?
	
2002-10-30 00:58  jaq

	* TODO:

	- Added an URL to ipv6 code to the entry in TODO.
	
2002-10-16 08:22  jaq

	* configure.in:

	- Added another fix from Ulrich for FreeBSD.
	
2002-10-15 07:36  jaq

	* configure.in:

	- Reworded a comment
	
2002-10-15 06:52  jaq

	* bootstrap, configure.in:

	- Another FreeBSD patch from Ulrich Spoerlein, this time
	  removing non-standard option to xargs from bootstrap, and
	  unsetting the cached GL check so the second test succeeds.
	
2002-10-14 09:08  jaq

	* src/: Makefile.am, gl_glx.c, q_glob.c, q_sh.c:

	- Fixed compile errors with joystick support.
	
2002-10-14 08:47  jaq

	* src/: glob.c, glob.h, q_glob.c, q_glob.h:

	- Moved glob.* to q_glob.*, to avoid conflicts with the libc
	  glob.h
	
2002-10-13 23:18  jaq

	* configure.in, src/gl_glx.c, src/rw_sdl.c, src/rw_x11.c:

	- Updated joystick support to GLX and X11.  (icculus
	  patchsets 62,64,80)
	- Bugfixed a bit, too. Compiles with --disable-joystick.
	
2002-10-13 14:18  jaq

	* src/rw_sdl.c:

	- Added patch from icculus CVS for SDL joystick support
	  (patchsets 60, 61)
	
2002-10-13 13:40  jaq

	* src/cd.c, src/cd_sdl.c, win32/cd_win.c:

	- Applied patch from icculus.org CVS for supporting shuffle
	  on CDs with 100+ tracks
	
2002-10-13 11:34  jaq

	* src/rw_sdl.c:

	- added some whitespace for clarity
	
2002-10-10 07:15  jaq

	* THANKS, configure.in, src/Makefile.am:

	- Applied patch from Ulrich 'Q' Spoerlein to fix build
	  problems on FreeBSD.
	
2002-10-05 12:05  jaq

	* TODO:

	- Updated TODO list
	
2002-09-26 08:14  jaq

	* THANKS, src/rw_sdl.c:

	- Applied patch from Vincent S. Cojot to fix SDLGL loading.
	
2002-09-25 22:45  jaq

	* configure.in:

	- Applied a patch from Ulrich Spoerlein to the configure
	  "--with-opengl" argument.
	
2002-09-23 13:53  jaq

	* THANKS, bootstrap:

	- Applied patch from Brady McCary to prefer automake 1.6.
	
2002-09-19 16:21  jaq

	* THANKS, src/Makefile.am:

	- Applied patch from Eric Dorland to fix make distcheck.
	
2002-09-19 16:04  jaq

	* configure.in:

	- Fiddled with configure.in, making it sensible.
	
2002-09-19 14:05  jaq

	* debian/: .cvsignore, README.Debian, changelog, control,
	copyright, dirs, docs, menu, quake2.6, quake2.xpm, quake2ctf.xpm,
	rules:

	- Updated the debian/ directory from the downstream package
	  just uploaded.
	- Added .cvsignore to the debian dir for the junk that gets
	  created during build.
	
2002-09-18 16:47  jaq

	* .cvsignore, NEWS:

	- Updated cvsignore to ignore the directory created by make
	  distcheck.
	- Cosmetic change to NEWS.
	
2002-09-18 14:53  jaq

	* Makefile.am, NEWS:

	- Added THANKS and NEWS to the tarball.
	- Fixed typo in NEWS.
	
2002-09-18 14:28  jaq

	* AUTHORS, NEWS, THANKS, TODO:

	- Added idea about automatic resolution detection to TODO.
	- Updated AUTHORS file.
	- Added THANKS file, with the names of all the people who
	  sent in bug reports, contributed code, helped test quake2,
	  and so on.
	- Added the NEWS file for the 0.1 release.
	
2002-09-17 10:49  jaq

	* .cvsignore, bootstrap, data/.cvsignore, data/baseq2/.cvsignore,
	data/pixmaps/.cvsignore:

	- Added/updated cvsignore files.
	- Added dist tarballs to bootstrap clean.
	
2002-09-17 09:53  jaq

	* data/pixmaps/Makefile.am:

	- erm, *cough*, add the Makefile.
	
2002-09-17 09:47  jaq

	* Makefile.am, configure.in, data/Makefile.am, src/gl_glx.c,
	src/rw_sdl.c, src/rw_x11.c:

	- Fixed paths to the icon data.
	- Added Makefile to distribute the pixmaps.
	
2002-09-17 08:38  jaq

	* data/pixmaps/q2icon.xbm:

	- Moved pixmap icon into data/ tree.
	
2002-09-17 00:27  jaq

	* data/: Makefile.am, baseq2/Makefile.am:

	- er, yeah, add the actual Makefiles, too
	
2002-09-17 00:02  jaq

	* Makefile.am, configure.in, baseq2/config.cfg,
	data/baseq2/config.cfg, src/Makefile.am, src/baseq2/Makefile.am,
	src/ctf/Makefile.am, src/rogue/Makefile.am, src/xatrix/Makefile.am:

	- Created data/ and subdirectories that gets installed and creates
	  the datadir for users to install the pakfiles into.  (Closes: #48)
	- Moved default config file from baseq2/ to data/baseq2.
	- Changed header files from EXTRA_DIST to noinst_HEADERS.
	
2002-09-16 18:11  jaq

	* Makefile.am, src/Makefile.am, src/baseq2/Makefile.am,
	src/ctf/Makefile.am, src/rogue/Makefile.am, src/xatrix/Makefile.am:

	- Wild checkin time!  Cleaning up the tree ready for a
	  release.
	- Added header files to EXTRA_DIST in the relevant
	  directories.
	- Added the unused source directories to EXTRA_DIST.
	- Changed -I.. to -I$(top_srcdir)/src for the header files
	  in the module directories.
	
2002-09-16 16:17  jaq

	* src/Makefile.am:

	- Removed OPENGL_CFLAGS and OPENGL_LIBS from the glx
	  refresher target, as OpenGL is dynamically loaded at
	  runtime by glx.
	
2002-08-14 14:44  jaq

	* src/: rogue/Makefile.am, xatrix/Makefile.am:

	- Moved the definition of pkglibdir out of the rogue and
	  xatrix defines, to avoid an implication error in automake
	
2002-08-14 14:36  jaq

	* README, bootstrap:

	- Removed that evil junk from bootstrap that tried to check
	  for autotools versions -- it's ugly and hard to do right
	  and isn't worth the effort -- from now on I will be
	  referring people to the first paragraph in the README
	
2002-08-12 10:32  jaq

	* README:

	- Updated the missonpack part of the README
	
2002-08-10 12:20  jaq

	* README:

	- Updated README to explain game data installs.
	
2002-07-23 01:16  jaq

	* src/rw_in_svgalib.c:

	- Attempted to fix mouse detection in the svgalib refresher,
	  by letting svgalib work out where the mouse is rather than
	  have us worry about where it is.
	
2002-07-22 12:03  jaq

	* configure.in:

	- Corrected the comment for PKGDATADIR that Chris changed
	  with his 3dfx commit
	
2002-07-22 09:26  despair

	* bootstrap:

	Automake detection fix from coob.
	
2002-07-20 14:30  wildcode

	* configure.in, src/Makefile.am, src/gl_fxmesa.c, src/vid_menu.c:

	3dfx target fixup and glide reliance removal
	
2002-07-19 05:51  taniwha

	* configure.in:

	forgot to restore CFLAGS after the test :/
	
2002-07-19 05:33  taniwha

	* configure.in:

	cope with gcc 3.1
	
2002-07-18 02:33  jaq

	* README, configure.in:

	- Updated the README to be a bit more explicit when
	  specifying paths to libraries for configure.
	- Added some whitespace to messages in configure.
	
2002-07-17 16:43  jaq

	* TODO:

	- Updated TODO list
	
2002-07-17 16:41  jaq

	* configure.in, src/Makefile.am, src/baseq2/Makefile.am,
	src/ctf/Makefile.am, src/rogue/Makefile.am, src/xatrix/Makefile.am:

	- Added compiler optimisations back to the Makefiles,
	  courtesy of configure.  Some basic optimisations are added
	  unless optimisations are explicitly disabled.  Extra
	  optimisations are added based on the cpu being built on.
	
2002-07-17 15:45  jaq

	* configure.in:

	- Really fixed the PKGLIBDIR bug this time (by making
	  exec_prefix default to $prefix)
	
2002-07-17 15:10  jaq

	* configure.in:

	- Fixed for real this time configure's ability to set a
	  correct PKGLIBDIR and PKGDATADIR when no --prefix is set
	  on the configure line.
	
2002-07-13 12:02  jaq

	* src/: Makefile.am, snd_mix.c:

	- Put back snd_mixa.S into the build if assembler is
	  defined, and adjusted the preprocessor directives in
	  snd_mix.c to fit.
	
2002-07-06 13:58  jaq

	* TODO:

	- Updated TODO list
	
2002-07-06 12:23  jaq

	* src/: qgl.h, vid_so.c:

	- More reformatting
	
2002-07-05 22:41  jaq

	* README, configure.in, src/client.h, src/common.c, src/gcc_attr.h,
	src/gl_local.h, src/gl_rmain.c, src/keys.h, src/main.c,
	src/qcommon.h, src/qfiles.h, src/qgl.c, src/qgl.h, src/r_local.h,
	src/ref.h, src/rw.h, src/vid_so.c:

	- Noted the requirement for automake 1.6 in the README
	- Got configure to work out the BUILDSTRING (now BUILDHOST)
	  for common.c
	- Code cleanups.
	
2002-07-05 11:31  jaq

	* src/: main.c, vid_so.c:

	- Erk, the module loaders were still trying to load
	  module.so, and so weren't finding the modules (cunningly
	  hidden by the fact that old .so files weren't being
	  cleaned up by the makefile).  Fixed that up good.
	
2002-07-05 10:28  jaq

	* configure.in:

	- Made the configure message from the assembler test a
	  little more clearer
	- The floating point exception when using the assembler
	  refreshers no longer occurs, which seems to be a
	  by-product of the recent auto* changes.  If you can make
	  quake2 FPE again, I'd like to know.  (Closes: #22)
	
2002-07-05 00:17  jaq

	* acinclude.m4, configure.in, src/Makefile.am, src/glw.h,
	src/main.c, src/q_sh.c, src/qcommon.h, src/qgl.c, src/qgl.h,
	src/snd.c, src/baseq2/Makefile.am, src/rogue/Makefile.am,
	src/xatrix/Makefile.am:

	- Applied NetBSD patch from Quentin Garnier.
	- Added a configure test for ossaudio for NetBSD.
	- Added a configure test for POSIX threads, from the GNU
	  autoconf macro repository.
	- Fixed up some typos in the Rogue and Xatrix makefiles
	
2002-07-04 22:16  jaq

	* src/: baseq2/.cvsignore, baseq2/Makefile.am, ctf/.cvsignore,
	ctf/Makefile.am, rogue/.cvsignore, rogue/Makefile.am,
	xatrix/.cvsignore, xatrix/Makefile.am:

	- Updated game Makefiles to use libtool for linking
	- Updated game .cvsignores
	
2002-07-04 15:04  jaq

	* src/main.c:

	- Fixed path to game when looking in the current directory
	
2002-07-04 11:38  jaq

	* src/.cvsignore:

	- Updated src/.cvsignore
	
2002-07-04 10:50  jaq

	* .cvsignore, Makefile.am, bootstrap, configure.in,
	src/Makefile.am, src/files.c, src/main.c, src/r_image.c,
	src/vid_so.c, src/baseq2/Makefile.am, src/ctf/Makefile.am,
	src/rogue/Makefile.am, src/xatrix/Makefile.am:

	- Fixed up make install target, so that the dynamic modules
	  are installed into the correct places.
	- Added libltdl, the libtool dynamic loader to the code, as
	  the libraries are now under libtool control.  Libtool and
	  libltdl are evil.
	- Fixed various paths inside the code to point to PKGLIBDIR
	  for the game and refresher modules, and PKGDATADIR for the
	  game data.
	- updated .cvsignore
	
2002-07-01 16:25  jaq

	* .cvsignore:

	- Added 'compile' to .cvsignore
	
2002-07-01 16:21  jaq

	* src/: Makefile.am, main.c, q_sh.c, qcommon.h, qgl.c, qgl.h:

	- Applied soem FreeBSD patches that I had lying around, that
	  were waiting for me to get library detection in configure
	  going.  Thanks to Faried Nawaz and Ulrich Spoerlein.
	  (Closes: #36)
	
2002-07-01 14:57  jaq

	* bootstrap:

	- Remove emacs backup files in bootstrap clean
	
2002-07-01 14:53  jaq

	* HACKING, README, acinclude.m4, bootstrap, configure.in,
	src/Makefile.am, src/qgl.h, src/rogue/Makefile.am,
	src/xatrix/Makefile.am:

	- Added library detection to configure.in, to detect
	  SVGAlib, X, GL, SDL, and GLIDE.  Modified the
	  Makefile.am's to match the new configure variables.
	  Now people don't have to manually hack src/Makefile.am to
	  build their targets.
	- Fixed a typo in src/qgl.h with the #define
	- Added new automake generated files to bootstrap's clean
	  command.
	- Added build requirements to HACKING, as we now need
	  automake 1.6.
	- Removed note in README about the asm FPE bug, as I seem to
	  have inadvertently fixed this without meaning to.
	
2002-06-22 15:43  jaq

	* src/qgl.h:

	- "Fixed" an ifdef so that FreeBSD can compile.
	
2002-05-26 16:41  jaq

	* src/: vid_menu.c, vid_so.c:

	- Added the new TiBook resolution of 1280x854 to the menus
	
2002-05-20 15:12  jaq

	* configure.in:

	- Fixed configure so that if xatrix and roge *are* found
	  then they actually get built!  Third time lucky!
	
2002-05-20 15:01  jaq

	* configure.in:

	- Fixed configure so that if xatrix and rogue *aren't* found
	  it still works.
	
2002-05-20 14:49  jaq

	* configure.in, src/Makefile.am, src/rogue/Makefile.am,
	src/xatrix/Makefile.am:

	- configure now checks for xatrix and rogue, so no need for
	  punters to have to manually edit src/Makefile.am (and now
	  I don't have to remember to swap it back before checking
	  in anymore!)
	
2002-05-20 03:13  jaq

	* src/: gl_rmain.c, glw.h:

	- Added __FreeBSD__ to some locations so that things build
	  properly
	
2002-05-15 23:00  jaq

	* src/: d_polysa.S, math.S, r_aclipa.S, r_draw16.S, r_drawa.S,
	r_edgea.S, r_main.c, r_scana.S, r_spr8.S, r_surf8.S, r_varsa.S,
	snd_mixa.S, vid_so.c:

	  Trying to suss out the FPE in ref_softx.so
	
	- Commented out USE_ASM in the .S files -- in theory they're
	  only built when USE_ASM is enabled anyway...
	- vid_so.c had some bad typecasts hidden away in some dead
	  code that became activated during this FPE crusade, and
	  though it's still dead, I thought I'd leave it as it is
	  now.
	
2002-05-15 20:55  jaq

	* src/: r_misc.c, sys_dosa.S, ctf/q_shared.c:

	- Removed a vi turd from a comment in src/r_misc.c
	- Commented out some suspicious ifdefs in src/sys_dosa.S
	- Fixed USE_ASM to be HAVE_MASM in src/ctf/q_shared.c
	- something similar in src/baseq2/q_shared.c
	
2002-05-15 20:04  jaq

	* src/d_copy.S:

	- Simplified an include path
	
2002-05-07 17:57  jaq

	* HACKING, TODO, src/vid_menu.c, src/vid_so.c:

	- The "Yay, the server is finally back online" checkin.
	- Added resolutions for the Sony Vaio Pocketbook and the
	  Apple Titanium Powerbook, as well as a note in HACKING for
	  people wishing to add their own resolutions.  (Closes #33)
	
	  I have an idea involving querying the X server for supported
	  resolutions at runtime, or through some API that we can
	  use to do it portably (to SVGA/3dfx/Win32).
	
2002-05-03 20:28  jaq

	* src/: baseq2/q_shared.h, ctf/q_shared.h:

	- Removed q_shared.h from game directories, as they're
	  *shared*... the one in src/ is exactly the same and means
	  there's less code to modify.
	  Also the last checkin will barf if you don't remove these
	  ;-)
	
2002-05-03 20:18  jaq

	* TODO, src/cl_tent.c, src/gl_mesh.c, src/q_shared.h,
	src/baseq2/g_weapon.c, src/ctf/g_weapon.c:

	- Removed shadows from some projectile weapons: blaster,
	  hyperblaster, and rockets.
	- Removed shadows from explosions.
	- Updated TODO to reflect this change.
	
2002-05-03 19:17  jaq

	* src/gl_mesh.c:

	- Lowered the shadow elevation so they're closer to the
	  ground.
	- Fixed gib shadows that cause black ghosts when rotating.
	
2002-05-03 18:50  jaq

	* TODO, baseq2/config.cfg, src/gl_glx.c, src/gl_local.h,
	src/gl_mesh.c, src/gl_rmain.c:

	- Added a new cvar, "gl_stencilshadow".  Off by default, set
	  it to 1 to enable stencilbuffer shadows.  (Turn gl_shadows
	  on first!)  Based on MrG's tutorial on quakesrc.org, but
	  hacked a bit to work for GLX instead of Win32, and is a
	  bit more robust (won't die if it can't get a stencil
	  buffer).
	- Updated TODO list to reflect this change.
	
2002-05-03 16:26  jaq

	* src/: gl_rmain.c, vid_menu.c:

	- Changed "libGL.so" to "libGL.so.1".  (Closes: #30)
	
2002-05-03 13:53  jaq

	* TODO, configure.in:

	- Added CCAS and CCASFLAGS to configure.in, so that automake
	  1.5 does the right thing with assembler.
	- Updated TODO list.
	
2002-05-03 01:45  jaq

	* TODO, acinclude.m4, configure.in:

	- Created acinclude.m4 with checks for VA_COPY and
	  VA_LIST_IS_ARRAY.  Currently not needed, but I suspect we
	  may need them as we gain functionality; cf. dstring.c in
	  quakeforge.
	- Updated configure.in to check for above tests.
	- Updated TODO list noting the va_list audit.
	
2002-05-03 00:35  jaq

	* src/: gl_glx.c, gl_image.c, gl_local.h, gl_rmain.c, vid_menu.c:

	- Applied a patch from Victor Shkamerda <vvs@auto.bnm.org>
	  that fixes gamma under GLX.  His comments:
	
	  * This Linux Quake 2 patch allows to change OpenGL gamma
	    on the fly without vid_restart.  It uses hardware gamma
		where available (tested on XFree86 4.2.0 with DRI)
	  * This is for GLX only, SDL should have its own
	    implementation, based on its own gamma manipulation
		functions
	  * This is implemented for fullscreen only.  I'm not sure
	    if it shuld be implemented for windowed mode
	  * I've got the idea from MrG's BeefQuake for Windows, but
	    the implementation is completely mine
	
	  I can confirm that this works beautifully with XFree86
	  4.1, too.
	
2002-05-02 22:50  jaq

	* TODO:

	- Updated TODO list
	
2002-05-02 22:45  jaq

	* AUTHORS, HACKING, README, TODO, src/Makefile.am,
	src/baseq2/g_save.c, src/ctf/g_save.c:

	- Added AUTHORS file noting people who contributed on the
	  project.
	- Added HACKING for developer notes.
	- Updated README to be more of a README.
	- Updated TODO list.
	- default don't build xatrix and rogue
	- rolled back save game changes from 6 days ago, as they
	  suck.  Save games are a complex beast and need someone to
	  redesign them so that they aren't tied to a particular
	  build.  In the meantime, though, I'm not losing any sleep
	  over it, there's a note in the README about it, so time to
	  close this bug.  (Closes: #15)
	
2002-04-26 12:52  jaq

	* TODO, src/baseq2/g_save.c, src/ctf/g_save.c:

	- Updated TODO list
	- commented out savegame check, which lets you use old
	  savegames.  I'm not closing the bug, as I'm not convinced
	  it was this easy -- if the game data changes, then the
	  savegame data is invalidated, so in theory one should
	  check for game data version instead of binary version.
	
2002-04-25 17:57  jaq

	* src/rogue/nan.h:

	- Looks like we don't need this, if we include files the
	  right way in g_local.h.  Of course, you won't notice this
	  unless you have my copy of the modified rogue source.
	  I hope I hear back from id soon.
	
2002-04-13 13:27  jaq

	* README, src/snd.c, src/snd_dma.c:

	- Updated README
	- cosmetic changes to comments in snd.c and snd_dma.c
	
2002-04-13 12:44  taniwha

	* src/: snd.c, snd_dma.c:

	snd.c:
		need to set dma.buffer to 0 so the sound devive gets mapped next time
		around.
	snd_dma.c:
		register the commands after initializing the sound so that you don't
		get errors about already existing commands if the sound init failed a
		previous time around.
	
2002-04-13 12:06  jaq

	* TODO:

	- updated TODO list
	
2002-04-13 12:03  jaq

	* bootstrap, src/vid_menu.c:

	- bootstrap clean removes autom4te.cache
	- added 3DFX driver to vid_menu.c
	
2002-04-13 12:01  jaq

	* src/snd.c:

	- taniwha's munmap patch
	
2002-04-13 10:28  jaq

	* src/vid_so.c:

	- added fxgl to the permissions check
	
2002-04-13 10:21  jaq

	* src/: Makefile.am, vid_menu.c:

	- Added 3dfx driver to vid_menu
	- renamed it back to ref_fxgl.so
	
2002-04-13 00:47  jaq

	* src/: q_shared.c, q_shared.h, baseq2/q_shared.h, ctf/q_shared.h:

	- fixed up a bit more that should use HAVE_MASM
	
2002-04-12 22:41  jaq

	* TODO, src/Makefile.am, src/q_shared.c, src/q_shared.h,
	src/baseq2/q_shared.c, src/baseq2/q_shared.h, src/ctf/q_shared.c,
	src/ctf/q_shared.h:

	- Removed traces of C_ONLY, replaced with HAVE_MASM
	
2002-04-12 00:12  jaq

	* src/: rogue/Makefile.am, xatrix/Makefile.am:

	- Disabled -Wall and -Werror for people who want to unpack
	  rogue and xatrix into the directories and build it... my
	  tree is clean, but we'll have to wait to see if we can
	  include it in CVS
	
2002-04-11 10:40  jaq

	* .cvsignore:

	- updated top level .cvsignore
	
2002-04-11 10:38  jaq

	* configure.in, src/Makefile.am, src/snd.c:

	- Changed -lpthread to -pthread in quake2_LDFLAGS.  Should
	  probably be a configure test
	- Added configure test for AFMT_S16_NE (FreeBSD doesn't have
	  _NE, only _LE or _BE)
	- Wrapped the use of AFMT_S16_NE in ifdef HAVE_AFMT_S16_NE
	
2002-04-10 16:57  jaq

	* bootstrap, configure.in, bsd/sys_bsd.c, irix/sys_irix.c,
	solaris/sys_solaris.c, src/client.h, src/d_polysa.S, src/gl_warp.c,
	src/main.c, src/math.S, src/q_shared.c, src/q_shared.h, src/qasm.h,
	src/r_aclip.c, src/r_aclipa.S, src/r_alias.c, src/r_draw16.S,
	src/r_drawa.S, src/r_edge.c, src/r_edgea.S, src/r_local.h,
	src/r_main.c, src/r_misc.c, src/r_part.c, src/r_polyse.c,
	src/r_rast.c, src/r_scan.c, src/r_scana.S, src/r_spr8.S,
	src/r_surf.c, src/r_surf8.S, src/r_varsa.S, src/snd_mix.c,
	src/snd_mixa.S, src/sys_dosa.S, src/x86.c, src/baseq2/q_shared.c,
	src/baseq2/q_shared.h, src/ctf/q_shared.c, src/ctf/q_shared.h,
	win32/rw_imp.c:

	- used USE_ASM in assembler files and c files, to build asm
	  when needed and c routines otherwise
	- HAVE_MASM is off always (in configure.in), only switch it on
	  if you've got masm and you're on windows...
	
2002-04-10 14:15  jaq

	* src/Makefile.am:

	- more cosmetic changes
	
2002-04-10 11:41  jaq

	* configure.in:

	- cosmetic changes to configure.in
	
2002-04-10 11:23  jaq

	* configure.in, src/snd.c:

	- Added configure test for sys/soundcard.h
	- Renamed linux/soundcard.h in src/snd.c to sys/soundcard.h
	  as it's portable
	
2002-04-10 11:18  jaq

	* configure.in, src/Makefile.am, src/gl_fxmesa.c, src/gl_glx.c,
	src/main.c, src/qgl.c, src/snd.c, src/vid_so.c:

	- Added configure test for -ldl
	- Using HAVE_DLOPEN in source files
	
2002-04-09 22:45  jaq

	* TODO:

	- updated TODO list
	
2002-04-09 18:48  jaq

	* TODO:

	- updated TODO list
	
2002-04-09 18:41  jaq

	* src/cd.c:

	- added a version of CDAudio_RandomPlay for those machines
	  that don't get the #ifdef
	
2002-04-09 12:21  jaq

	* TODO:

	* updated TODO list
	
2002-04-09 12:01  jaq

	* bootstrap, configure.in, src/rw_in_svgalib.c, src/rw_svgalib.c:

	* src/rw*svgalib.c compile fine without src/vt.h, so
	  commented it out in them, and removed from configure test
	
2002-04-09 11:49  jaq

	* bootstrap, configure.in, src/rw_in_svgalib.c, src/rw_svgalib.c:

	* bootstrap tries to detect if you have gmake instead of
	  make for bsd systems
	* cleaned out the header file checks in configure, now add
	  them as they're needed
	* check for sys/vt.h in src/rw*svgalib.c
	
2002-04-09 11:33  jaq

	* src/: Makefile.AXP, Makefile.i386:

	* Removed extraneous Makefiles
	
2002-04-08 16:17  taniwha

	* configure.in, src/d_copy.S, src/d_polysa.S, src/math.S,
	src/qasm.h, src/r_aclipa.S, src/r_draw16.S, src/r_drawa.S,
	src/r_edgea.S, src/r_scana.S, src/r_spr8.S, src/r_surf8.S,
	src/r_varsa.S, src/snd_mixa.S, src/sys_dosa.S:

	fix the _ symbol prefix detection. software rendering now works
	
2002-04-08 15:49  taniwha

	* .cvsignore:

	better ignorage
	
2002-04-08 15:42  taniwha

	* configure.in, src/Makefile.am:

	when linking, libs should go in *_LDADD rather than *_LDFLAGS as LDADD gets
	added /after/ the object files, but LDFLAGS /before/ the object files
	
2002-04-08 15:09  taniwha

	* configure.in:

	set AS and ASFLAGS
	
2002-04-08 15:09  taniwha

	* src/Makefile.am:

	fix a comment portability warning
	
2002-04-08 14:57  jaq

	* src/Makefile.am:

	Trying to get the refreshers to link properly
	
2002-04-07 11:07  jaq

	* src/: Makefile.am, gl_fxmesa.c, rw_in_svgalib.c, rw_sdl.c,
	rw_svgalib.c:

	* Now builds all video refreshers (except ref_fxgl.so
	  because I don't have GL/fxmesa.h)  Time to learn how
	  configure can selectively build refreshers.
	
2002-04-06 16:56  jaq

	* .cvsignore, bootstrap:

	* Added the turd directories to .cvsignore
	* bootstrap clean removes config.log now
	
2002-04-06 16:33  jaq

	* src/: rogue/.cvsignore, xatrix/.cvsignore:

	* Added .deps to the .cvsignore files
	
2002-04-06 16:30  jaq

	* Makefile.am, configure.in, docs/TODO-ctf.txt, src/Makefile.am,
	src/game.h, src/server.h, src/baseq2/.cvsignore,
	src/baseq2/Makefile.am, src/baseq2/g_ai.c, src/baseq2/g_chase.c,
	src/baseq2/g_cmds.c, src/baseq2/g_combat.c, src/baseq2/g_func.c,
	src/baseq2/g_items.c, src/baseq2/g_local.h, src/baseq2/g_main.c,
	src/baseq2/g_misc.c, src/baseq2/g_monster.c, src/baseq2/g_phys.c,
	src/baseq2/g_save.c, src/baseq2/g_spawn.c, src/baseq2/g_svcmds.c,
	src/baseq2/g_target.c, src/baseq2/g_trigger.c,
	src/baseq2/g_turret.c, src/baseq2/g_utils.c, src/baseq2/g_weapon.c,
	src/baseq2/game.def, src/baseq2/game.dsp, src/baseq2/m_actor.c,
	src/baseq2/m_actor.h, src/baseq2/m_berserk.c,
	src/baseq2/m_berserk.h, src/baseq2/m_boss2.c, src/baseq2/m_boss2.h,
	src/baseq2/m_boss3.c, src/baseq2/m_boss31.c, src/baseq2/m_boss31.h,
	src/baseq2/m_boss32.c, src/baseq2/m_boss32.h, src/baseq2/m_brain.c,
	src/baseq2/m_brain.h, src/baseq2/m_chick.c, src/baseq2/m_chick.h,
	src/baseq2/m_flash.c, src/baseq2/m_flipper.c,
	src/baseq2/m_flipper.h, src/baseq2/m_float.c, src/baseq2/m_float.h,
	src/baseq2/m_flyer.c, src/baseq2/m_flyer.h,
	src/baseq2/m_gladiator.c, src/baseq2/m_gladiator.h,
	src/baseq2/m_gunner.c, src/baseq2/m_gunner.h, src/baseq2/m_hover.c,
	src/baseq2/m_hover.h, src/baseq2/m_infantry.c,
	src/baseq2/m_infantry.h, src/baseq2/m_insane.c,
	src/baseq2/m_insane.h, src/baseq2/m_medic.c, src/baseq2/m_medic.h,
	src/baseq2/m_move.c, src/baseq2/m_mutant.c, src/baseq2/m_mutant.h,
	src/baseq2/m_parasite.c, src/baseq2/m_parasite.h,
	src/baseq2/m_player.h, src/baseq2/m_rider.h,
	src/baseq2/m_soldier.c, src/baseq2/m_soldier.h,
	src/baseq2/m_supertank.c, src/baseq2/m_supertank.h,
	src/baseq2/m_tank.c, src/baseq2/m_tank.h, src/baseq2/p_client.c,
	src/baseq2/p_hud.c, src/baseq2/p_trail.c, src/baseq2/p_view.c,
	src/baseq2/p_weapon.c, src/baseq2/q_shared.c,
	src/baseq2/q_shared.h, src/ctf/.cvsignore, src/ctf/Makefile.am,
	src/ctf/ctf.def, src/ctf/ctf.dsp, src/ctf/g_ai.c,
	src/ctf/g_chase.c, src/ctf/g_cmds.c, src/ctf/g_combat.c,
	src/ctf/g_ctf.c, src/ctf/g_ctf.h, src/ctf/g_func.c,
	src/ctf/g_items.c, src/ctf/g_local.h, src/ctf/g_main.c,
	src/ctf/g_misc.c, src/ctf/g_monster.c, src/ctf/g_phys.c,
	src/ctf/g_save.c, src/ctf/g_spawn.c, src/ctf/g_svcmds.c,
	src/ctf/g_target.c, src/ctf/g_trigger.c, src/ctf/g_utils.c,
	src/ctf/g_weapon.c, src/ctf/m_move.c, src/ctf/m_player.h,
	src/ctf/p_client.c, src/ctf/p_hud.c, src/ctf/p_menu.c,
	src/ctf/p_menu.h, src/ctf/p_trail.c, src/ctf/p_view.c,
	src/ctf/p_weapon.c, src/ctf/q_shared.c, src/ctf/q_shared.h,
	src/rogue/.cvsignore, src/rogue/LICENSE, src/rogue/Makefile.am,
	src/rogue/nan.h, src/xatrix/.cvsignore, src/xatrix/LICENSE,
	src/xatrix/Makefile.am:

	* Moved everything in game/ to src/ so that hopefully quake2
	  will run out of the source tree.
	* Added the LICENSE files from xatrix and rogue, someone can
	  look at them and decide if we can put the rest of them
	  into CVS.
	* Moved 2do.txt from ctf into docs/TODO-ctf.txt
	
2002-04-06 15:56  jaq

	* configure.in, src/Makefile.am:

	* no longer link every fucking binary against libdl, libm,
	  libpthread.
	
2002-04-06 15:31  jaq

	* src/: Makefile.am, net_udp.c:

	* Got rid of -Dstricmp=strcasecmp
	
2002-04-06 15:06  jaq

	* src/sys_dosa.S:

	* oops, forgot these
	* by the way, the asm software refresh code isn't built,
	  configure will have to work out if $(AS) is available and
	  we're on i386
	
2002-04-06 15:03  jaq

	* src/: Makefile.am, adivtab.h, asm_draw.h, block16.inc,
	block8.inc, d_copy.S, d_if.inc, d_ifacea.h, d_polysa.S, math.S,
	qasm.inc, r_aclip.c, r_aclipa.S, r_aclipa.asm, r_alias.c, r_bsp.c,
	r_draw.c, r_draw16.S, r_draw16.asm, r_drawa.S, r_drawa.asm,
	r_edge.c, r_edgea.S, r_edgea.asm, r_image.c, r_light.c, r_local.h,
	r_main.c, r_misc.c, r_model.c, r_model.h, r_part.c, r_poly.c,
	r_polysa.asm, r_polyse.c, r_rast.c, r_scan.c, r_scana.S,
	r_scana.asm, r_spr8.S, r_spr8.asm, r_sprite.c, r_surf.c, r_surf8.S,
	r_surf8.asm, r_varsa.S, r_varsa.asm, rand1k.h, ref_soft.def,
	ref_soft.dsp, rw_x11.c:

	* Moved ref_soft into src/, made it build.
	* Lots of LD and CFLAGS in src/Makefile.am... I think most
	  of it should be automagic by configure
	
2002-04-05 11:02  jaq

	* configure.in, src/Makefile.am, src/common.c, src/console.c,
	src/main.c, src/qcommon.h, src/sv_main.c:

	* Got rid of that ugly -DLINUX_VERSION from the makefile,
	  instead source files now use config.h
	
2002-04-05 10:45  jaq

	* src/: Makefile.am, common.c, gl_glx.c, gl_local.h, qgl.c:

	* Fixed include paths in ref_gl
	* doesn't try to build xatrix and rogue by default
	
2002-04-05 10:24  jaq

	* configure.in, src/Makefile.am, src/anormtab.h, src/gl_draw.c,
	src/gl_image.c, src/gl_light.c, src/gl_local.h, src/gl_mesh.c,
	src/gl_model.c, src/gl_model.h, src/gl_rmain.c, src/gl_rmisc.c,
	src/gl_rsurf.c, src/gl_warp.c, src/qgl.h, src/ref_gl.def,
	src/ref_gl.dsp, src/warpsin.h:

	* Moved ref_gl into src/ so that when it builds, the video
	  refreshers are in the same directory as the quake2 binary
	
2002-04-05 09:11  taniwha

	* bootstrap:

	fix a syntax error
	
2002-04-04 23:44  jaq

	* bootstrap:

	* run "boostrap clean" to *really* clean up the source tree,
	  should be as good as doing a pristine checkout
	* I've got the xatrix and rogue modpacks building, but their
	  license is dubious.  game.h has been updated with the 2
	  extra lines that the xatrix and rogue game.h's had, and
	  the Makefile.ams will build the code if you unpack them
	  into the dirs (with a little modification because of -Wall
	  -Werror ;-)
	
2002-04-03 13:35  jaq

	* README:

	Some notes about building from CVS and a warning that things
	won't work :)
	
2002-04-03 13:07  jaq

	* configure.in:

	* configure creates the rogue and xatrix makefiles
	* game.h comments and ifdef wrapper cleaned up
	
2002-04-03 12:45  jaq

	* Makefile.am:

	* Now builds both baseq2 and ctf game.so
	
2002-04-03 12:05  jaq

	* configure.in, src/Makefile.am, src/main.c:

	* Moved game/baseq2/game.h into game/game.h as it is the
	  api that the quake2 binary uses
	
2002-04-03 11:43  jaq

	* src/Makefile:

	* Removed src/Makefile from the repository
	* Added game/baseq2/.cvsignore
	
2002-04-03 11:32  jaq

	* docs/ctf/: admin.gif, adminset.gif, automac.gif, ghost.jpg,
	grapple.jpg, layout.jpg, mainctf_back.jpg, menu.gif, q2ctf.html,
	say_team.gif, stats.jpg, tech1.gif, tech2.gif, tech3.gif,
	tech4.gif:

	* Moved ctf/docs to docs/ctf
	* Moved ctf/ to game/ctf
	
2002-04-03 10:55  jaq

	* src/.cvsignore:

	* Added some more ignores to .cvsignore
	
2002-04-03 10:52  jaq

	* .cvsignore, configure.in, src/Makefile, src/Makefile.am:

	* Enabled build of game/game.so
	* Removed files in client/ qcommon/ and server/
	
2002-04-03 10:36  jaq

	* .cvsignore, INSTALL, src/.cvsignore:

	* Added .libs to the .cvsignore files
	* Added INSTALL and game/Makefile.am to the repository
	* Re-added game/q_shared.(c|h) to the repository -- ideally
	  game.so will make callbacks into quake2, this is only
	  "temporary" (famous last words)
	
2002-04-03 10:27  jaq

	* COPYING, Makefile.am, TODO, bootstrap, configure.in, gnu.txt,
	src/Makefile.am:

	* Replaced gnu.txt with COPYING
	* added my TODO list, and the cvs bootstrap script
	* Small mods to configure.in, Makefile.am
	
2002-04-02 18:14  jaq

	* src/: Makefile, Makefile.am, cd.c, common.c, m_flash.c,
	net_udp.c, q_sh.c, q_shared.c, q_shared.h, qcommon.h, ref.h,
	server.h, snd.c, snd_mix.c:

	* Moved q_shared.(c|h) from game/ into src/
	* Copied m_flash.c from game/ into src/
	* More edits for include paths
	
2002-04-02 16:23  jaq

	* Makefile.am, configure.in, src/Makefile, src/Makefile.am,
	src/checksum.c, src/cmd.c, src/cmodel.c, src/common.c, src/crc.c,
	src/crc.h, src/cvar.c, src/files.c, src/gcc_attr.h, src/main.c,
	src/mdfour.c, src/mdfour.h, src/menu.c, src/net_chan.c,
	src/pmove.c, src/qcommon.h, src/qfiles.h, src/quakeio.c,
	src/quakeio.h, src/uint32.h, src/vid_menu.c, src/vid_so.c:

	* Moved qcommon/ into src/ as well.
	* Removed ARCH from compile options, this means that there
	  is no longer a game$(ARCH).so built -- game.so instead.
	* Added src/Makefile.am
	* Fixed up include paths in main.c, menu.c, vid_menu.c,
	  vid_so.c
	
2002-04-02 15:47  jaq

	* Makefile, Makefile.am, configure.in, src/adivtab.h, src/anorms.h,
	src/asm_i386.h, src/cdaudio.h, src/cl_cin.c, src/cl_ents.c,
	src/cl_fx.c, src/cl_input.c, src/cl_inv.c, src/cl_main.c,
	src/cl_newfx.c, src/cl_parse.c, src/cl_pred.c, src/cl_scrn.c,
	src/cl_tent.c, src/cl_view.c, src/client.h, src/console.c,
	src/console.h, src/input.h, src/keys.c, src/keys.h, src/menu.c,
	src/qmenu.c, src/qmenu.h, src/ref.h, src/screen.h, src/server.h,
	src/snd_dma.c, src/snd_loc.h, src/snd_mem.c, src/snd_mix.c,
	src/sound.h, src/sv_ccmds.c, src/sv_ents.c, src/sv_game.c,
	src/sv_init.c, src/sv_main.c, src/sv_null.c, src/sv_send.c,
	src/sv_user.c, src/sv_world.c, src/vid.h, src/x86.c:

	* Doing some renovations so I can autoconfiscate the source.
	  In this installment, I move all of client/ and server/
	  into src/
	
2002-03-21 14:17  jaq

	* src/net_udp6.c:

	* As per http://www.quakesrc.org/forum/topicDisplay.php?topicID=160,
	  fix sv_user.c so that macro expansion isn't used on the
	  server side, otherwise clients can potentially read
	  rcon_password among others
	* Forgot to add net_udp6.c from the last relnev merge... oops.
	
2002-03-12 13:33  jaq

	* Makefile, docs/README.sdl, src/gl_glx.c, src/glw.h, src/main.c,
	src/q_sh.c, src/qgl.c, src/rw_sdl.c, src/rw_svgalib.c, src/snd.c,
	src/snd_sdl.c, src/vid_menu.c:

	Merged in Steven Fuller's r0.9 changes:
	- mouse wheel support
	- swapped SDL mouse buttons to be correct (closes: #17)
	- some FreeBSD patches
	- Bug Gun + save game crashes fixed (not sure about this
	  one)
	- Mouse buttons 4 and 5 under SDL
	- IPv6 support
	- Makefile will build xatrix and rogue source if available
	
2002-03-05 21:04  jaq

	* Makefile, src/d_copy.S, src/d_polysa.S, src/math.S,
	src/r_aclipa.S, src/r_draw16.S, src/r_drawa.S, src/r_edgea.S,
	src/r_scana.S, src/r_spr8.S, src/r_surf8.S, src/r_varsa.S,
	src/sys_dosa.S:

	These assembler files are only used by the software video
	refreshers, so let's put them with the rest of it.
	
2002-03-03 21:24  jaq

	* src/: gl_glx.c, q2icon.xbm, rw_sdl.c, rw_x11.c:

	Moved q2icon.xbm out of the source subdir and into pixmaps/
	
2002-03-02 15:04  jaq

	* README:

	Added a top-level README to let people know not to play with
	impertinent subtrees.
	
2002-03-02 14:58  jaq

	* src/: glw.h, glw_linux.h:

	Shit, forgot to move glw_linux.h in CVS.
	
2002-03-02 14:56  jaq

	* Makefile, src/cd.c, src/cd_sdl.c, src/gl_glx.c, src/in.c,
	src/main.c, src/net_udp.c, src/q_sh.c, src/qgl.c, src/rw.h,
	src/rw_sdl.c, src/snd.c, src/snd_sdl.c, src/vid_menu.c,
	src/vid_so.c:

	- Merged each of bsd/, solaris/, and irix/ into src/; bsd,
	  solaris and irix are no longer pertinent, they will remain
	  only until I can be sure that the code was merged
	  correctly, i.e. for reference purposes only.
	
2002-03-02 14:28  jaq

	* Makefile, src/cd.c, src/cd_linux.c, src/gl_glx.c, src/in.c,
	src/in_linux.c, src/main.c, src/q_sh.c, src/q_shlinux.c, src/qgl.c,
	src/qgl_linux.c, src/rw.h, src/rw_in_svgalib.c, src/rw_linux.h,
	src/rw_sdl.c, src/rw_svgalib.c, src/rw_x11.c, src/snd.c,
	src/snd_linux.c, src/sys_linux.c, src/vid_so.c:

	- Renamed source files to remove the name 'linux', as this
	  gives the impression that these files are os-specific when
	  they're not.
	    sys_linux.c -> main.c
	    q_shlinux.c -> q_sh.c
	    qgl_linux.c -> qgl.c
	    snd_linux.c -> snd.c
	    cd_linux.c  -> cd.c
	    rw_linux.h  -> rw.h
	    glw_linux.h -> glw.h
	    in_linux.c  -> in.c (although this isn't referred to at
	                         all in any makefiles anywhere)
	- Edited other files to reflect name changes
	
2002-03-01 19:33  jaq

	* src/: gl_glx.c, glob.c, q_shlinux.c, rw_in_svgalib.c, rw_sdl.c,
	rw_svgalib.c, rw_x11.c, sys_linux.c, vid_so.c:

	Changed paths of some #include lines to reflect the new
	change.  Why on earth was the code #including headers from
	the same directory as "../thisdir/"?  Crazy.
	
2002-03-01 19:23  jaq

	* src/.cvsignore:

	Dammit, missed this one
	
2002-03-01 19:13  jaq

	* Makefile, src/Makefile, src/Makefile.AXP, src/Makefile.i386,
	src/block16.h, src/block8.h, src/cd_linux.c, src/cd_sdl.c,
	src/d_copy.S, src/d_ifacea.h, src/d_polysa.S, src/gl_fxmesa.c,
	src/gl_glx.c, src/glob.c, src/glob.h, src/glw_linux.h,
	src/in_linux.c, src/math.S, src/net_udp.c, src/q2icon.xbm,
	src/q_shlinux.c, src/qasm.h, src/qgl_linux.c, src/r_aclipa.S,
	src/r_draw16.S, src/r_drawa.S, src/r_edgea.S, src/r_scana.S,
	src/r_spr8.S, src/r_surf8.S, src/r_varsa.S, src/rw_in_svgalib.c,
	src/rw_linux.h, src/rw_sdl.c, src/rw_svgalib.c, src/rw_x11.c,
	src/snd_linux.c, src/snd_mixa.S, src/snd_sdl.c, src/sys_dosa.S,
	src/sys_linux.c, src/vid_menu.c, src/vid_so.c:

	Renamed 'linux/' to 'src/' (well, created src/ and moved
	linux/* into it) as a part of Jaq's Great Code Restructure.
	At this stage, I'm merging all the os-specific subdirs.
	
2002-02-21 12:47  jaq

	* .cvsignore, Makefile, bsd/gl_glx.c, irix/glw_imp.c,
	null/glimp_null.c, null/swimp_null.c, win32/glw_imp.c,
	win32/rw_imp.c:

	More code cleanup.  I added -pedantic to the CFLAGS to see
	what broke; mainly typecasts.  I've disabled -pedantic again
	though, as there are some bugs in svgalib and libc headers
	that prevent compilation with -pedantic.  I also didn't
	bother to set explicit casts in linux/qgl_linux.c
	
2002-02-20 15:38  jaq

	* Makefile:

	I've shoehorned a patch from Michael Dänzer that he wrote
	for quakeforge a long time ago that allows sound playback on
	machines that can't mmap /dev/dsp, like PowerPC machines.
	
	The original patch was archived at:
	http://www.geocrawler.com/mail/msg.php3?msg_id=4207733&list=856
	
	The patch went in mostly smoothly, once I found where iD
	kept their sound code.  Linux only at the moment, I haven't
	bothered to look at snd_*.c in any of the other OS
	directories.
	
	It works for me, in that it doesn't interfere with mmapping
	on my i386 machine, but I have no PPC machines to test that
	it actually does what it's supposed to, so YMMV.
	
2002-02-20 14:59  jaq

	* docs/: 3.15_Changes.txt, 3.16_Changes.txt, 3.17_Changes.txt,
	3.18_Changes.txt, 3.19_Changes.txt, 3.20_Changes.txt,
	3.21_Changes.txt, README-3.21-release, README.install,
	changes-ctf.txt, changes.txt:

	- Renamed README-3.21-release to README.install, as it's got
	  install instructions in it, and tying it to a particular
	  version isn't very useful
	- Cleaned up the *changes* files, removed the duplicate 3.15
	  changes from files, all of them now live in changes.txt
	  and changes-ctf.txt
	
2002-02-20 14:07  jaq

	* Makefile:

	Not a lot, just cleaning the top level Makefile up a bit
	(mostly just removing obsolete comment lines from my last
	patch)
	
2002-01-28 16:36  taniwha

	* .cvsignore, Makefile, docs/README.sdl:

	make quake2 architecture independent. from Jaq (Jamie Wilkinson)
	
2002-01-12 13:19  despair

	* docs/README-3.21-release:

	Keep trying...
	
2002-01-12 13:14  despair

	* 3.15_Changes.txt, 3.16_Changes.txt, 3.17_Changes.txt,
	3.18_Changes.txt, 3.19_Changes.txt, 3.20_Changes.txt,
	3.21_Changes.txt, Makefile, README.sdl, changes.txt, joystick.txt,
	makezip, makezip.bat, readme.txt, docs/3.15_Changes.txt,
	docs/3.16_Changes.txt, docs/3.17_Changes.txt,
	docs/3.18_Changes.txt, docs/3.19_Changes.txt,
	docs/3.20_Changes.txt, docs/3.21_Changes.txt, docs/README.axp,
	docs/README.linux, docs/README.sdl, docs/README.solaris,
	docs/changes.txt, docs/joystick.txt, docs/readme.txt,
	irix/Makefile.txt, irix/cd_irix.c, irix/makefile.txt,
	irix/sys_irix.c, null/cd_null.c, solaris/Makefile.OLD,
	solaris/Makefile.Solaris, solaris/makefile.solaris,
	solaris/readme.solaris, solaris/sys_solaris.c, win32/cd_win.c:

	Merge in relnev's changes.
	
2002-01-07 16:02  taniwha

	* .cvsignore:

	fix up the .cvsignore files that got accidently nuked in the previous commit
	
2002-01-07 15:54  taniwha

	* .cvsignore, Makefile, irix/qgl_irix.c, irix/sys_irix.c,
	irix/vid_so.c, solaris/sys_solaris.c, win32/glw_imp.c,
	win32/glw_win.h, win32/qgl_win.c, win32/sys_win.c:

	Turns out gzip support isn't so easy (feasable?) in q2, so back it out for
	now. However, tags of gzio_pre_revoke (before) and gzio_revoke (after) will
	help get it back if/when we decide to work on it again.
	
2002-01-07 15:16  taniwha

	* bsd/: Makefile, cd_bsd.c, gl_glx.c, q_shbsd.c, qgl_bsd.c,
	snd_bsd.c, sys_bsd.c, vid_so.c:

	OpenBSD patch from butter. FreeBSD should only need a slight change to the
	bsd/Makefile.
	
	Thanks, butter.
	
2002-01-04 13:41  taniwha

	* Makefile:

	need -export-dynamic at the moment :/
	
2002-01-04 08:04  taniwha

	* .cvsignore:

	ignore .vimrc
	
2002-01-04 07:09  taniwha

	* Makefile, irix/qgl_irix.c, irix/sys_irix.c, irix/vid_so.c,
	solaris/sys_solaris.c, win32/glw_imp.c, win32/glw_win.h,
	win32/qgl_win.c, win32/sys_win.c:

	preliminary zlib patch
	
2002-01-03 15:47  taniwha

	* .cvsignore, Makefile:

	quakeforge-ize Jamie's debian patch
	
2002-01-03 15:22  taniwha

	* Makefile, README.sdl, debian/README.Debian, debian/changelog,
	debian/control, debian/copyright, debian/dirs, debian/docs,
	debian/menu, debian/quake2.6, debian/quake2.sh, debian/quake2.xpm,
	debian/rules:

	ok, so this is leaching, but hey, that's part of what the gpl is for :)
	
	Bring in Jamie Wilkinson's patches for quake2_3.21-1. this gives us sdl
	support, ~/.quake2, sane default for gl_driver, and several other fixups.
	
2001-12-29 07:34  deek

	* 3.21_Changes.txt:

	Nuke the part of the 3.21 changes file that duplicates the information
	in the 3.20 changes file.
	
2001-12-29 06:56  deek

	* 3.18_Changes.txt, 3.18_changes.txt, 3.19_Changes.txt,
	3.20_Changes.txt, 3.21_Changes.txt, makezip, readme.txt,
	irix/cd_irix.c, irix/glw_imp.c, irix/makefile.txt, irix/q_shirix.c,
	irix/qgl_irix.c, irix/snd_irix.c, irix/sys_irix.c, irix/vid_menu.c,
	irix/vid_so.c, null/cd_null.c, null/cl_null.c, null/glimp_null.c,
	null/in_null.c, null/snddma_null.c, null/swimp_null.c,
	null/sys_null.c, null/vid_null.c, solaris/g_so.c, solaris/glob.c,
	solaris/glob.h, solaris/makefile.solaris, solaris/net_udp.c,
	solaris/q_shsolaris.c, solaris/readme.solaris,
	solaris/sys_solaris.c, win32/net_wins.c, win32/qgl_win.c,
	win32/sys_win.c, win32/vid_dll.c, win32/vid_menu.c:

	Update to 3.21-level source code.
	
2001-12-23 08:49  taniwha

	* 3.15_Changes.txt, 3.16_Changes.txt, 3.17_Changes.txt,
	3.18_changes.txt, changes.txt, gnu.txt, joystick.txt, makezip,
	quake2.dsp, quake2.dsw, quake2.mak, readme.txt, baseq2/config.cfg,
	null/in_null.c, null/sys_null.c, rhapsody/in_next.m,
	rhapsody/r_next.m, rhapsody/snd_next.m, rhapsody/swimp_rhap.m,
	rhapsody/sys_rhap.m, win32/cd_win.c, win32/conproc.c,
	win32/conproc.h, win32/glw_imp.c, win32/glw_win.h, win32/in_win.c,
	win32/net_wins.c, win32/q2.rc, win32/q_shwin.c, win32/qgl_win.c,
	win32/resource.h, win32/rw_ddraw.c, win32/rw_dib.c, win32/rw_imp.c,
	win32/rw_win.h, win32/snd_win.c, win32/sys_win.c, win32/vid_dll.c,
	win32/vid_menu.c, win32/winquake.h, win32/winquake.rc:

	line ending cleanup
	
2001-12-22 23:53  deek

	* .cvsignore:

	Ignore .plg, .bc[ep], and .opt files.
	
2001-12-22 23:41  deek

	* quake2.001, quake2.bce, quake2.bcp, quake2.opt, quake2.plg:

	Remove some seemingly-unnecessary Visual C++ files.
	
2001-12-22 17:58  taniwha

	* makefile:

	hey, mongoose's works better :)
	
2001-12-22 17:12  taniwha

	* .cvsignore, makefile:

	ok, core links with no evil hacks
	
2001-12-22 16:48  taniwha

	* gnu.txt, readme.txt:

	forgot these due to sloppy packagine in the .zip
	
2001-12-22 16:37  taniwha

	* makefile:

	almost links
	
2001-12-22 15:27  taniwha

	* 3.15_Changes.txt, 3.16_Changes.txt, 3.17_Changes.txt,
	3.18_changes.txt, changes.txt, joystick.txt, makefile, makezip,
	makezip.bat, quake2.001, quake2.bce, quake2.bcp, quake2.dsp,
	quake2.dsw, quake2.mak, quake2.opt, quake2.plg, baseq2/config.cfg,
	baseq2/save/save0/game.ssv, baseq2/save/save0/server.ssv,
	irix/cd_irix.c, irix/glw_imp.c, irix/q_shirix.c, irix/qgl_irix.c,
	irix/snd_irix.c, irix/sys_irix.c, irix/vid_menu.c, irix/vid_so.c,
	null/cd_null.c, null/cl_null.c, null/glimp_null.c, null/in_null.c,
	null/snddma_null.c, null/swimp_null.c, null/sys_null.c,
	null/vid_null.c, rhapsody/in_next.m, rhapsody/notes.txt,
	rhapsody/pb.project, rhapsody/quake2.iconheader,
	rhapsody/quake2.tiff, rhapsody/r_next.m, rhapsody/rhapqw.txt,
	rhapsody/snd_next.m, rhapsody/swimp_rhap.m, rhapsody/sys_rhap.m,
	rhapsody/vid_next.m, solaris/Makefile.OLD,
	solaris/Makefile.Solaris, solaris/g_so.c, solaris/glob.c,
	solaris/glob.h, solaris/net_udp.c, solaris/q_shsolaris.c,
	solaris/sys_solaris.c, win32/cd_win.c, win32/conproc.c,
	win32/conproc.h, win32/glw_imp.c, win32/glw_win.h, win32/in_win.c,
	win32/net_wins.c, win32/q2.aps, win32/q2.ico, win32/q2.rc,
	win32/qe3.ico, win32/q_shwin.c, win32/qgl_win.c, win32/resource.h,
	win32/rw_ddraw.c, win32/rw_dib.c, win32/rw_imp.c, win32/rw_win.h,
	win32/snd_win.c, win32/sys_win.c, win32/vid_dll.c,
	win32/vid_menu.c, win32/winquake.aps, win32/winquake.h,
	win32/winquake.rc:

	Initial revision
	
2001-12-22 15:27  taniwha

	* 3.15_Changes.txt, 3.16_Changes.txt, 3.17_Changes.txt,
	3.18_changes.txt, changes.txt, joystick.txt, makefile, makezip,
	makezip.bat, quake2.001, quake2.bce, quake2.bcp, quake2.dsp,
	quake2.dsw, quake2.mak, quake2.opt, quake2.plg, baseq2/config.cfg,
	baseq2/save/save0/game.ssv, baseq2/save/save0/server.ssv,
	irix/cd_irix.c, irix/glw_imp.c, irix/q_shirix.c, irix/qgl_irix.c,
	irix/snd_irix.c, irix/sys_irix.c, irix/vid_menu.c, irix/vid_so.c,
	null/cd_null.c, null/cl_null.c, null/glimp_null.c, null/in_null.c,
	null/snddma_null.c, null/swimp_null.c, null/sys_null.c,
	null/vid_null.c, rhapsody/in_next.m, rhapsody/notes.txt,
	rhapsody/pb.project, rhapsody/quake2.iconheader,
	rhapsody/quake2.tiff, rhapsody/r_next.m, rhapsody/rhapqw.txt,
	rhapsody/snd_next.m, rhapsody/swimp_rhap.m, rhapsody/sys_rhap.m,
	rhapsody/vid_next.m, solaris/Makefile.OLD,
	solaris/Makefile.Solaris, solaris/g_so.c, solaris/glob.c,
	solaris/glob.h, solaris/net_udp.c, solaris/q_shsolaris.c,
	solaris/sys_solaris.c, win32/cd_win.c, win32/conproc.c,
	win32/conproc.h, win32/glw_imp.c, win32/glw_win.h, win32/in_win.c,
	win32/net_wins.c, win32/q2.aps, win32/q2.ico, win32/q2.rc,
	win32/qe3.ico, win32/q_shwin.c, win32/qgl_win.c, win32/resource.h,
	win32/rw_ddraw.c, win32/rw_dib.c, win32/rw_imp.c, win32/rw_win.h,
	win32/snd_win.c, win32/sys_win.c, win32/vid_dll.c,
	win32/vid_menu.c, win32/winquake.aps, win32/winquake.h,
	win32/winquake.rc:

	let the fun begin
	
